Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 230205 (python-2.6) - [TRACKER] Python-2.6 incompatible packages
Summary: [TRACKER] Python-2.6 incompatible packages
Status: RESOLVED FIXED
Alias: python-2.6
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All All
: Highest enhancement with 2 votes (vote)
Assignee: Python Gentoo Team
URL:
Whiteboard:
Keywords: Tracker
Depends on: 191250 219238 230525 232378 237624 237625 237626 237627 239233 239477 239479 240149 240188 240710 242688 243802 244450 245100 246406 246780 246786 246997 247083 249688 250999 251003 251550 252189 253582 253586 255210 256491 258219 258364 262092 262094 262095 262612 262881 264163 264490 265649 265748 265784 265805 265810 266084 267184 267186 267209 267638 268315 268737 269029 269119 270865 271033 272125 272612 275675 276969 278028 280075 281103 281415 281416 281417 281997 282184 283167 298032 298843 312915 320127
Blocks:
  Show dependency tree
 
Reported: 2008-06-30 15:24 UTC by Ali Polatel (RETIRED)
Modified: 2011-12-20 16:43 UTC (History)
33 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ali Polatel (RETIRED) gentoo-dev 2008-06-30 15:24:48 UTC
Tracker bug for all packages that need to be fixed before python 2.6 leaves
hard mask.
Comment 1 Mike Auty gentoo-dev 2008-09-12 16:57:02 UTC
I had some issues with lxml and a couple of others, which I think is related to distutils.  It seems the new one calls test.test_support (which seems to be a valid python module), but lxml and at least one other package come with a test.py (which then seems to take precedence in the namespace) and the installation comes tumbling down.

The deprecation warnings are also a bit irritating, since pycrypto (which portage doesn't actually need, but will use if present) uses md5 and sha1.  They're both PEP 247 compliant, but hashlib (which is what's supposed to be used instead of md5 and sha1) isn't, so it's not a simple patch.  The upstream bug is at: https://bugs.launchpad.net/pycrypto/+bug/269429.

I'll start posting full bugs and patches once I've had a crack at fixing them...
Comment 2 Ali Polatel (RETIRED) gentoo-dev 2008-09-17 14:05:21 UTC
(In reply to comment #1)
> I'll start posting full bugs and patches once I've had a crack at fixing
> them...
> 

Thanks, your help is appreciated :-]

Comment 3 Steev Klimaszewski (RETIRED) gentoo-dev 2008-10-05 19:13:13 UTC
 * Starting Python Updater from 2.5 to 2.6 :
 *   Adding to list: =dev-python/gdata-1.0.8
 *   Adding to list: =dev-python/numeric-24.2-r6
 *   Adding to list: =dev-python/pyrex-0.9.8.5
 *   Adding to list: =dev-python/pycairo-1.4.12
 *   Adding to list: =x11-libs/vte-0.16.14
 *   Adding to list: =sys-apps/file-4.26

All of these packages, for me, all fail with attempting to write to the live filesystem during install phase.  Except for vte - vte always shows up in python-updater's output even though it successfully installs.
Comment 4 Ali Polatel (RETIRED) gentoo-dev 2008-10-05 19:30:51 UTC
(In reply to comment #3)
> Except for vte - vte always shows up in
> python-updater's output even though it successfully installs.
> 

vte is in python-updater's manual list, use -dmanual to disable manual packages from being reinstalled. I'll have a look at the other packages now.
Comment 5 Dror Levin (RETIRED) gentoo-dev 2008-10-05 21:26:06 UTC
All of these fail to merge on my system using python-2.6 because of access violations during the installation phase:
dev-python/pyxml-0.8.4-r1
dev-python/setuptools-0.6_rc8-r1
dev-python/pyrex-0.9.8.5
dev-python/imaging-1.1.6
dev-python/pexpect-2.3
dev-java/java-config-2.1.6-r1
dev-java/java-config-1.3.7
sys-apps/file-4.26
www-client/pybugz-0.7.3
dev-python/ipython-0.8.4-r1
dev-python/django-1.0
dev-util/mercurial-1.0.2


Should I disable the sandbox as a workaround, is this a bug or is there something I've missed which will make me look like an idiot?
Comment 6 Dror Levin (RETIRED) gentoo-dev 2008-10-05 22:28:50 UTC
Please ignore my previous comment.
All I had to do was a little eselect magic and the access violations disappeared.
I'm deeply sorry for spamming and will report if I find any real breakage.
Comment 7 Mike Auty gentoo-dev 2008-10-05 22:30:40 UTC
Don't disable the sandbox, that should be an absolutely last resort.

I found this a couple of times too, directly after the install.  Could you please try running "eselect python list" to get a list of the python environments you have installed, and remember the number in front of python-2.6 (in my example I'll use 2), and then run "eselect python set 2".  I've found that this generally made the access violation issues and a few other issues go away.  I haven't tracked down exactly why it helps, but I think it's some crossed wires when the installer tries not to update symlinks...
Comment 8 Ronald Römer 2008-10-06 01:20:51 UTC
ACCESS VIOLATION also with

sci-libs/vtk-5.2.0-r1
Comment 9 Steven Robertson 2008-10-06 02:58:21 UTC
Please add depends on 240188 and 240149.  The latter contains an explanation for the reason the bad symlinks cause distutils-based packages to fail to build, and a workaround to fix those packages without disabling sandboxing.  It does not yet have any info on why the symlinks are created improperly, tho.
Comment 10 David Ripton 2008-10-09 13:46:42 UTC
I was unable to manually install zopeinterface 3.0.1 into Python 2.6.  However, 3.0.3 manually installed fine.  So it appears the problem has already been fixed upstream and we just need a version bump.  There's already a bug requesting a version bump of net-zope/zopeinterface (#191250); someone please add it as a dependency of this bug.
Comment 11 Rafał Mużyło 2008-10-09 23:13:23 UTC
Well, zopeinterface 3.0.1-r1 did install.
Comment 12 David Ripton 2008-10-11 02:24:45 UTC
Rafal, I agree that ZopeInterface 3.0.1-r1 does work with Python 2.6-r2.  I must have done something wrong before.  Sorry for the noise.
Comment 13 Andrey 2008-10-31 22:57:48 UTC
sci-libs/scipy does not compile, see bug #245100

Comment 14 Sander 2009-02-24 13:12:30 UTC
dev-python/pywebkitgtk-1.0.2 doesn't merge either. 
Comment 15 Patrick Lauer gentoo-dev 2009-04-08 19:59:52 UTC
Python 2.6 has been unmasked.
Comment 16 Tobias Klausmann gentoo-dev 2009-05-18 07:11:25 UTC
exaile-0.2.x works but throws warnings due to use of "import md5" instead of hashlib.

There's a 0.3-rc in the tree but it's not even nearly feature-complete and so no real replacement for the stable versions.

Want me to file a bug or are warnings not "enough"? 
Comment 17 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2009-05-18 11:50:25 UTC
(In reply to comment #16)
> Want me to file a bug or are warnings not "enough"? 

You can file such bugs and make them block this bug, but they won't block stabilization of Python 2.6.*.
Comment 18 Dirkjan Ochtman gentoo-dev 2011-12-20 16:43:57 UTC
W00t! Thanks everyone who worked on this.